## user.js | Firefox, Firefox ESR and Firefox Nightly.
A `user.js` file for configuring and hardening Desktop Firefox privacy (or related forks)

Concretely, this is a fork from the [arkenfox](https://github.com/arkenfox/user.js) project:


## Goals

* enhance privacy
* improve performance
* better fingerprint possible
* reduce automatic connections to the minimum posible

## Considerations

This user.js is a fork from the arkenfox project with a substantial divergence. It tries to avoid all the automatic connections even though security could be reduced slightly.
For instance, OSCP is a privacy breach. Nevertheless, it is also a security feature. This user.js disables them as well as safebrowsing, automatic addons connections and so on. You will have to check manually addons updates in the related preferences section.

However, one connection could not be blocked anymore:

* firefox.settings.services.mozilla.com

[How to stop Firefox from making automatic connections](https://support.mozilla.org/en-US/kb/how-stop-firefox-making-automatic-connections) (last section)

So you will have to include it to the host list of your OS.

## Updating addons

Write about:addons

Choose Extensions

Click the icon above on the right (Tools for all add-ons) and Check for updates.


## Adding new search engines

Installing new search engines from mycroftproject.com web is not working. Besides, they have embedded Google analytic trackers recently.
Follow this guide instead:

[Add a search engine from the address bar](https://support.mozilla.org/en-US/kb/add-or-remove-search-engine-firefox#w_add-a-search-engine-from-the-address-bar)

## Thanks:

I really thank the following authors:

* [Arkenfox] (https://github.com/arkenfox/user.js) - The majority of this user.js and updates.
* [Quindecim] (https://git.nixnet.xyz/quindecim/mobile_user.js) - Some unique strings.